Get report summary detail
Retrieve detailed billing breakdown for a specific billing period.
Authorization
ApiKeyAuth x-apikey<token>
In: header
Path Parameters
summary_date*string
Billing date (YYYY-MM-DD)
Format
dateResponse Body
application/json
curl -X GET "https://api.dewavps.com/v1/billing/report/summary/2019-08-24/details"{
"message": "Billing report",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"billing periode": "January 2024",
"billing_date": "2019-08-24",
"status": "Settled",
"fully_settle": true,
"total": 0,
"can_download": true,
"services": [
{
"service": "Instance",
"total": 0,
"reports": [
{
"id": 0,
"service_name": "string",
"service_type": "string",
"tier_name": "string",
"tier_icon": "string",
"total_cost": 0,
"details": [
{
"name": "string",
"base_price": 0,
"total_uptime_hour": 0,
"total_cost": 0
}
]
}
]
}
]
}
}